Package org.apache.commons.math3.ml.neuralnet.sofm.util

# Class QuasiSigmoidDecayFunction

java.lang.Object
org.apache.commons.math3.ml.neuralnet.sofm.util.QuasiSigmoidDecayFunction

public class QuasiSigmoidDecayFunction extends Object
Decay function whose shape is similar to a sigmoid.
Class is immutable.

Since:
  3.3

## Constructor Summary

Constructors
Constructor
Description
`QuasiSigmoidDecayFunction(double initValue, double slope, long numCall)`
Creates an instance.

## Method Summary

Modifier and Type
Method
Description
`double`
`value(long numCall)`
Computes the value of the learning factor.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### QuasiSigmoidDecayFunction

public QuasiSigmoidDecayFunction(double initValue, double slope, long numCall)
Creates an instance. The function `f` will have the following properties:

- `f(0) = initValue`
- `numCall` is the inflexion point
- `slope = f'(numCall)`

Parameters:
  `initValue` - Initial value, i.e. `value(0)`.
  `slope` - Value of the function derivative at `numCall`.
  `numCall` - Inflexion point.
Throws:
  `NotStrictlyPositiveException` - if `initValue <= 0`.
  `NumberIsTooLargeException` - if `slope >= 0`.
  `NotStrictlyPositiveException` - if `numCall <= 0`.

## Method Details

### value

public double value(long numCall)
Computes the value of the learning factor.

Parameters:
  `numCall` - Current step of the training task.
Returns:
  the value of the function at `numCall`.